%global srcname hghooks
%global sum A set of useful hooks for Mercurial

Name:           python-%{srcname}
Version:        0.7.0
Release:        9%{?dist}
Summary:        %{sum}

License:        LGPLv3
URL:            http://bitbucket.org/lgs/%{srcname}/
Source0:        https://files.pythonhosted.org/packages/source/h/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
hghooks is a simple module that adds several useful hooks for use\
in Mercurial hooks system.\
\
Right now it includes hooks for:\
\
 * pep8 checking of python files\
 * pyflakes checking of python files\
 * jslint checking of javascript files\
 * checking for forgotten pdb statements in python files\
 * Trac integration. This includes:\
   - Making sure at least a ticket is mentioned in the changeset message\
   - Updating the Trac ticket with the changeset

%description %_description

%package -n python2-%{srcname}
Summary: %summary
Requires:       mercurial
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build


%install
%py2_install


%files -n python2-%{srcname}
%license COPYING
%doc README.txt
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py2.?.egg-info


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 19 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.7.0-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.0-7
- Python 2 binary package renamed to python2-hghooks
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu May 26 2016 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.7.0-3
- Fixed Source0 to point to new PyPi predictable URL format

* Mon May 09 2016 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.7.0-2
- Fix summary line in the package

* Sun May 08 2016 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.7.0-1
- Update to latest upstream version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 12 2013 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.6.0-1
- Update with upstream

* Fri Feb 1 2013 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.5.5-1
- Update with upstream

* Tue Oct 23 2012 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.5.4-3
- Remove md5 hash from the URL and the SOURCE file
- Remove 'rm -rf $RPM_BUILD_ROOT' in the install section
- Remove the hghooks.egg-info directory in the prep section

* Mon Oct 15 2012 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.5.4-2
- More specific files section and BuildRequires
- Remove unneeded python_sitelib macro definition

* Sun Oct 14 2012 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.5.4-1
- New package.
